## linux-4.9 4.9.189

=== Makefile ===
VERSION = 4
PATCHLEVEL = 9
SUBLEVEL = 189
EXTRAVERSION =
NAME = Roaring Lionus

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# o Do not use make's built-in rules and variables
#   (this increases performance and avoids hard-to-debug behaviour);
# o Look for make include files relative to root of kernel src
MAKEFLAGS += -rR --include-dir=$(CURDIR)

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter 4.%,$(MAKE_VERSION)),)	# make-4
ifneq ($(filter %s ,$(firstword x$(MAKEFLAGS))),)
  quiet=silent_
  tools_silent=s
endif
else					# make-3.8x
ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
  tools_silent=-s
endif
endif

export quiet Q KBUILD_VERBOSE

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(words $(subst :, ,$(CURDIR))), 1)
  $(error main directory cannot contain spaces nor colons)
endif

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) \
								&& /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error failed to create output directory "$(saved-output)"))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

sub-make:
	$(Q)$(MAKE) -C $(KBUILD_OUTPUT) KBUILD_SRC=$(CURDIR) \
	-f $(CURDIR)/Makefile $(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

ifeq ($(KBUILD_SRC),)
        # building in the source tree
        srctree := .
else
        ifeq ($(KBUILD_SRC)/,$(dir $(CURDIR)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(KBUILD_SRC)
        endif
endif
objtree		:= .
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH

# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
				  -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ -e s/aarch64.*/arm64/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   := -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer -std=gnu89
HOSTCXXFLAGS = -O2

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

# If we have only "make modules", don't compile built-in objects.
# When we're building modules with modversions, we need to consider
# the built-in objects during the descend as well, in order to
# make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

# If we have "make <whatever> modules", compile modules
# in addition to whatever we do anyway.
# Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# We need some generic definitions (do not try to remake the file).
scripts/Kbuild.include: ;
include scripts/Kbuild.include

# Make variables (CC, etc...)
AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
PYTHON		= python
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
NOSTDINC_FLAGS  =
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
LDFLAGS_vmlinux =

# Use USERINCLUDE when you must reference the UAPI directories only.
USERINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include/uapi \
		-I$(objtree)/arch/$(hdr-arch)/include/generated/uapi \
		-I$(srctree)/include/uapi \
		-I$(objtree)/include/generated/uapi \
                -include $(srctree)/include/linux/kconfig.h

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include \
		-I$(objtree)/arch/$(hdr-arch)/include/generated/uapi \
		-I$(objtree)/arch/$(hdr-arch)/include/generated \
		$(if $(KBUILD_SRC), -I$(srctree)/include) \
		-I$(objtree)/include

LINUXINCLUDE	+= $(filter-out $(LINUXINCLUDE),$(USERINCLUDE))

KBUILD_AFLAGS   := -D__ASSEMBLY__
KBUILD_CFLAGS   := -Wall -Wundef -Wstrict-prototypes -Wno-trigraphs \
		   -fno-strict-aliasing -fno-common -fshort-wchar \

=== kernel/Makefile ===
#
# Makefile for the linux kernel.
#

obj-y     = fork.o exec_domain.o panic.o \
	    cpu.o exit.o softirq.o resource.o \
	    sysctl.o sysctl_binary.o capability.o ptrace.o user.o \
	    signal.o sys.o kmod.o workqueue.o pid.o task_work.o \
	    extable.o params.o \
	    kthread.o sys_ni.o nsproxy.o \
	    notifier.o ksysfs.o cred.o reboot.o \
	    async.o range.o smpboot.o ucount.o

obj-$(CONFIG_MULTIUSER) += groups.o

ifdef CONFIG_FUNCTION_TRACER
# Do not trace internal ftrace files
CFLAGS_REMOVE_irq_work.o = $(CC_FLAGS_FTRACE)
endif

# Prevents flicker of uninteresting __do_softirq()/__local_bh_disable_ip()
# in coverage traces.
KCOV_INSTRUMENT_softirq.o := n
# These are called from save_stack_trace() on slub debug path,
# and produce insane amounts of uninteresting coverage.
KCOV_INSTRUMENT_module.o := n
KCOV_INSTRUMENT_extable.o := n
# Don't self-instrument.
KCOV_INSTRUMENT_kcov.o := n
KASAN_SANITIZE_kcov.o := n
CFLAGS_kcov.o := $(call cc-option, -fno-conserve-stack -fno-stack-protector)

# cond_syscall is currently not LTO compatible
CFLAGS_sys_ni.o = $(DISABLE_LTO)

obj-y += sched/
obj-y += locking/
obj-y += power/
obj-y += printk/
obj-y += irq/
obj-y += rcu/
obj-y += livepatch/

obj-$(CONFIG_CHECKPOINT_RESTORE) += kcmp.o
obj-$(CONFIG_FREEZER) += freezer.o
obj-$(CONFIG_PROFILING) += profile.o
obj-$(CONFIG_STACKTRACE) += stacktrace.o
obj-y += time/
obj-$(CONFIG_FUTEX) += futex.o
ifeq ($(CONFIG_COMPAT),y)
obj-$(CONFIG_FUTEX) += futex_compat.o
endif
obj-$(CONFIG_GENERIC_ISA_DMA) += dma.o
obj-$(CONFIG_SMP) += smp.o
ifneq ($(CONFIG_SMP),y)
obj-y += up.o
endif
obj-$(CONFIG_UID16) += uid16.o
obj-$(CONFIG_MODULES) += module.o
obj-$(CONFIG_MODULE_SIG) += module_signing.o
obj-$(CONFIG_KALLSYMS) += kallsyms.o
obj-$(CONFIG_BSD_PROCESS_ACCT) += acct.o
obj-$(CONFIG_KEXEC_CORE) += kexec_core.o
obj-$(CONFIG_KEXEC) += kexec.o
obj-$(CONFIG_KEXEC_FILE) += kexec_file.o
obj-$(CONFIG_BACKTRACE_SELF_TEST) += backtracetest.o
obj-$(CONFIG_COMPAT) += compat.o
obj-$(CONFIG_CGROUPS) += cgroup.o
obj-$(CONFIG_CGROUP_FREEZER) += cgroup_freezer.o
obj-$(CONFIG_CGROUP_PIDS) += cgroup_pids.o
obj-$(CONFIG_CPUSETS) += cpuset.o
obj-$(CONFIG_UTS_NS) += utsname.o
obj-$(CONFIG_USER_NS) += user_namespace.o
obj-$(CONFIG_PID_NS) += pid_namespace.o
obj-$(CONFIG_IKCONFIG) += configs.o
obj-$(CONFIG_SMP) += stop_machine.o
obj-$(CONFIG_KPROBES_SANITY_TEST) += test_kprobes.o
obj-$(CONFIG_AUDIT) += audit.o auditfilter.o
obj-$(CONFIG_AUDITSYSCALL) += auditsc.o
obj-$(CONFIG_AUDIT_WATCH) += audit_watch.o audit_fsnotify.o
obj-$(CONFIG_AUDIT_TREE) += audit_tree.o
obj-$(CONFIG_GCOV_KERNEL) += gcov/
obj-$(CONFIG_KCOV) += kcov.o
obj-$(CONFIG_KPROBES) += kprobes.o
obj-$(CONFIG_KGDB) += debug/
obj-$(CONFIG_DETECT_HUNG_TASK) += hung_task.o
obj-$(CONFIG_LOCKUP_DETECTOR) += watchdog.o
obj-$(CONFIG_HARDLOCKUP_DETECTOR) += watchdog_hld.o
obj-$(CONFIG_SECCOMP) += seccomp.o
obj-$(CONFIG_RELAY) += relay.o
obj-$(CONFIG_SYSCTL) += utsname_sysctl.o
obj-$(CONFIG_TASK_DELAY_ACCT) += delayacct.o
obj-$(CONFIG_TASKSTATS) += taskstats.o tsacct.o
obj-$(CONFIG_TRACEPOINTS) += tracepoint.o
obj-$(CONFIG_LATENCYTOP) += latencytop.o
obj-$(CONFIG_ELFCORE) += elfcore.o
obj-$(CONFIG_FUNCTION_TRACER) += trace/
obj-$(CONFIG_TRACING) += trace/
obj-$(CONFIG_TRACE_CLOCK) += trace/
obj-$(CONFIG_RING_BUFFER) += trace/
obj-$(CONFIG_TRACEPOINTS) += trace/
obj-$(CONFIG_IRQ_WORK) += irq_work.o
obj-$(CONFIG_CPU_PM) += cpu_pm.o
obj-$(CONFIG_BPF) += bpf/

obj-$(CONFIG_PERF_EVENTS) += events/

obj-$(CONFIG_USER_RETURN_NOTIFIER) += user-return-notifier.o
obj-$(CONFIG_PADATA) += padata.o
obj-$(CONFIG_CRASH_DUMP) += crash_dump.o
obj-$(CONFIG_JUMP_LABEL) += jump_label.o
obj-$(CONFIG_CONTEXT_TRACKING) += context_tracking.o
obj-$(CONFIG_TORTURE_TEST) += torture.o
obj-$(CONFIG_MEMBARRIER) += membarrier.o

obj-$(CONFIG_HAS_IOMEM) += memremap.o

$(obj)/configs.o: $(obj)/config_data.h

# config_data.h contains the same information as ikconfig.h but gzipped.
# Info from config_data can be extracted from /proc/config*
targets += config_data.gz
$(obj)/config_data.gz: $(KCONFIG_CONFIG) FORCE
	$(call if_changed,gzip)

      filechk_ikconfiggz = (echo "static const char kernel_config_data[] __used = MAGIC_START"; cat $< | scripts/basic/bin2c; echo "MAGIC_END;")
targets += config_data.h
$(obj)/config_data.h: $(obj)/config_data.gz FORCE
	$(call filechk,ikconfiggz)

=== drivers/dma/dw/Makefile ===
obj-$(CONFIG_DW_DMAC_CORE)	+= dw_dmac_core.o
dw_dmac_core-objs	:= core.o

obj-$(CONFIG_DW_DMAC)		+= dw_dmac.o
dw_dmac-objs		:= platform.o

obj-$(CONFIG_DW_DMAC_PCI)	+= dw_dmac_pci.o
dw_dmac_pci-objs	:= pci.o

=== drivers/staging/greybus/Makefile ===
# Greybus core
greybus-y :=	core.o		\
		debugfs.o	\
		hd.o		\
		manifest.o	\
		module.o	\
		interface.o	\
		bundle.o	\
		connection.o	\
		control.o	\
		svc.o		\
		svc_watchdog.o	\
		operation.o	\
		timesync.o	\
		timesync_platform.o

obj-$(CONFIG_GREYBUS)		+= greybus.o

# needed for trace events
ccflags-y += -I$(src)


# Greybus Host controller drivers
gb-es2-y := es2.o

obj-$(CONFIG_GREYBUS_ES2)	+= gb-es2.o

# Greybus class drivers
gb-bootrom-y		:= bootrom.o
gb-camera-y		:= camera.o
gb-firmware-y		:= fw-core.o fw-download.o fw-management.o authentication.o
gb-spilib-y		:= spilib.o
gb-hid-y		:= hid.o
gb-light-y		:= light.o
gb-log-y		:= log.o
gb-loopback-y		:= loopback.o
gb-power-supply-y	:= power_supply.o
gb-raw-y		:= raw.o
gb-vibrator-y		:= vibrator.o

obj-$(CONFIG_GREYBUS_BOOTROM)	+= gb-bootrom.o
obj-$(CONFIG_GREYBUS_CAMERA)	+= gb-camera.o
obj-$(CONFIG_GREYBUS_FIRMWARE)	+= gb-firmware.o gb-spilib.o
obj-$(CONFIG_GREYBUS_HID)	+= gb-hid.o
obj-$(CONFIG_GREYBUS_LIGHT)	+= gb-light.o
obj-$(CONFIG_GREYBUS_LOG)	+= gb-log.o
obj-$(CONFIG_GREYBUS_LOOPBACK)	+= gb-loopback.o
obj-$(CONFIG_GREYBUS_POWER)	+= gb-power-supply.o
obj-$(CONFIG_GREYBUS_RAW)	+= gb-raw.o
obj-$(CONFIG_GREYBUS_VIBRATOR)	+= gb-vibrator.o

# Greybus Audio is a bunch of modules
gb-audio-module-y	:= audio_module.o audio_topology.o
gb-audio-codec-y	:= audio_codec.o
gb-audio-gb-y		:= audio_gb.o
gb-audio-apbridgea-y	:= audio_apbridgea.o
gb-audio-manager-y	:= audio_manager.o audio_manager_module.o

# Greybus Audio sysfs helpers can be useful when debugging
#GB_AUDIO_MANAGER_SYSFS ?= true
#ifeq ($(GB_AUDIO_MANAGER_SYSFS),true)
#gb-audio-manager-y += audio_manager_sysfs.o
#ccflags-y += -DGB_AUDIO_MANAGER_SYSFS
#endif

obj-$(CONFIG_GREYBUS_AUDIO_MSM8994)	+= gb-audio-codec.o
obj-$(CONFIG_GREYBUS_AUDIO_MSM8994)	+= gb-audio-module.o
obj-$(CONFIG_GREYBUS_AUDIO)		+= gb-audio-gb.o
obj-$(CONFIG_GREYBUS_AUDIO)		+= gb-audio-apbridgea.o
obj-$(CONFIG_GREYBUS_AUDIO)		+= gb-audio-manager.o


# Greybus Bridged PHY drivers
gb-gbphy-y := gbphy.o
gb-gpio-y := gpio.o
gb-i2c-y := i2c.o
gb-pwm-y := pwm.o
gb-sdio-y := sdio.o
gb-spi-y := spi.o
gb-uart-y := uart.o
gb-usb-y := usb.o

obj-$(CONFIG_GREYBUS_BRIDGED_PHY)	+= gb-gbphy.o
obj-$(CONFIG_GREYBUS_GPIO)		+= gb-gpio.o
obj-$(CONFIG_GREYBUS_I2C)		+= gb-i2c.o
obj-$(CONFIG_GREYBUS_PWM)		+= gb-pwm.o
obj-$(CONFIG_GREYBUS_SDIO)		+= gb-sdio.o
obj-$(CONFIG_GREYBUS_SPI)		+= gb-spi.o gb-spilib.o
obj-$(CONFIG_GREYBUS_UART)		+= gb-uart.o
obj-$(CONFIG_GREYBUS_USB)		+= gb-usb.o


# Greybus Platform driver
gb-arche-y	:= arche-platform.o arche-apb-ctrl.o

obj-$(CONFIG_USB_HSIC_USB3613)	+= gb-arche.o

=== arch/mn10300/boot/compressed/Makefile ===
#
# Create a compressed vmlinux image from the original vmlinux
#

targets		:= vmlinux vmlinux.bin vmlinux.bin.gz head.o misc.o piggy.o

LDFLAGS_vmlinux := -Ttext $(CONFIG_KERNEL_ZIMAGE_BASE_ADDRESS) -e startup_32

$(obj)/vmlinux: $(obj)/head.o $(obj)/misc.o $(obj)/piggy.o FORCE
	$(call if_changed,ld)

$(obj)/vmlinux.bin: vmlinux FORCE
	$(call if_changed,objcopy)

$(obj)/vmlinux.bin.gz: $(obj)/vmlinux.bin FORCE
	$(call if_changed,gzip)

LDFLAGS_piggy.o := -r --format binary --oformat elf32-am33lin -T

$(obj)/piggy.o: $(obj)/vmlinux.lds $(obj)/vmlinux.bin.gz FORCE
	$(call if_changed,ld)

=== arch/powerpc/platforms/85xx/Makefile ===
#
# Makefile for the PowerPC 85xx linux kernel.
#
obj-$(CONFIG_SMP) += smp.o
obj-$(CONFIG_FSL_PMC)		  += mpc85xx_pm_ops.o

obj-y += common.o

obj-$(CONFIG_BSC9131_RDB) += bsc913x_rdb.o
obj-$(CONFIG_BSC9132_QDS) += bsc913x_qds.o
obj-$(CONFIG_C293_PCIE)   += c293pcie.o
obj-$(CONFIG_MPC8540_ADS) += mpc85xx_ads.o
obj-$(CONFIG_MPC8560_ADS) += mpc85xx_ads.o
obj-$(CONFIG_MPC85xx_CDS) += mpc85xx_cds.o
obj-$(CONFIG_MPC8536_DS)  += mpc8536_ds.o
obj-$(CONFIG_MPC85xx_DS)  += mpc85xx_ds.o
obj-$(CONFIG_MPC85xx_MDS) += mpc85xx_mds.o
obj-$(CONFIG_MPC85xx_RDB) += mpc85xx_rdb.o
obj-$(CONFIG_P1010_RDB)   += p1010rdb.o
obj-$(CONFIG_P1022_DS)    += p1022_ds.o
obj-$(CONFIG_P1022_RDK)   += p1022_rdk.o
obj-$(CONFIG_P1023_RDB)   += p1023_rdb.o
obj-$(CONFIG_TWR_P102x)   += twr_p102x.o
obj-$(CONFIG_CORENET_GENERIC)   += corenet_generic.o
obj-$(CONFIG_STX_GP3)	  += stx_gp3.o
obj-$(CONFIG_TQM85xx)	  += tqm85xx.o
obj-$(CONFIG_SBC8548)     += sbc8548.o
obj-$(CONFIG_PPA8548)     += ppa8548.o
obj-$(CONFIG_SOCRATES)    += socrates.o socrates_fpga_pic.o
obj-$(CONFIG_KSI8560)	  += ksi8560.o
obj-$(CONFIG_XES_MPC85xx) += xes_mpc85xx.o
obj-$(CONFIG_GE_IMP3A)	  += ge_imp3a.o
obj-$(CONFIG_PPC_QEMU_E500) += qemu_e500.o
obj-$(CONFIG_SGY_CTS1000) += sgy_cts1000.o
obj-$(CONFIG_MVME2500)	  += mvme2500.o

=== debian/changelog ===
linux-4.9 (4.9.189-3+deb9u2~deb8u1) jessie-security; urgency=medium

  * Backport to jessie; no further changes required

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 12 Nov 2019 22:05:49 +0000

linux (4.9.189-3+deb9u2) stretch-security; urgency=high

  * [x86] Add mitigation for TSX Asynchronous Abort (CVE-2019-11135):
    - KVM: x86: use Intel speculation bugs and features as derived in generic
      x86 code
    - x86/msr: Add the IA32_TSX_CTRL MSR
    - x86/cpu: Add a helper function x86_read_arch_cap_msr()
    - x86/cpu: Add a "tsx=" cmdline option with TSX disabled by default
    - x86/speculation/taa: Add mitigation for TSX Async Abort
    - x86/speculation/taa: Add sysfs reporting for TSX Async Abort
    - kvm/x86: Export MDS_NO=0 to guests when TSX is enabled
    - x86/tsx: Add "auto" option to the tsx= cmdline parameter
    - x86/speculation/taa: Add documentation for TSX Async Abort
    - x86/tsx: Add config options to set tsx=on|off|auto
    - x86/speculation/taa: Fix printing of TAA_MSG_SMT on IBRS_ALL CPUs
    TSX is now disabled by default; see
    Documentation/hw-vuln/tsx_async_abort.rst
  * [x86] KVM: Add mitigation for Machine Check Error on Page Size Change
    (aka iTLB multi-hit, CVE-2018-12207):
    - KVM: x86: simplify ept_misconfig
    - KVM: x86: extend usage of RET_MMIO_PF_* constants
    - KVM: MMU: drop vcpu param in gpte_access
    - kvm: Convert kvm_lock to a mutex
    - kvm: x86: Do not release the page inside mmu_set_spte()
    - KVM: x86: make FNAME(fetch) and __direct_map more similar
    - KVM: x86: remove now unneeded hugepage gfn adjustment
    - KVM: x86: change kvm_mmu_page_get_gfn BUG_ON to WARN_ON
    - KVM: x86: Add is_executable_pte()
    - KVM: x86: add tracepoints around __direct_map and FNAME(fetch)
    - KVM: vmx, svm: always run with EFER.NXE=1 when shadow paging is active
    - x86/bugs: Add ITLB_MULTIHIT bug infrastructure
    - cpu/speculation: Uninline and export CPU mitigations helpers
    - kvm: mmu: ITLB_MULTIHIT mitigation
    - kvm: Add helper function for creating VM worker threads
    - kvm: x86: mmu: Recovery of shattered NX large pages
    - Documentation: Add ITLB_MULTIHIT documentation
  * [x86] i915: Mitigate local privilege escalation on gen9 (CVE-2019-0155):
    - drm/i915: kick out cmd_parser specific structs from i915_drv.h
    - drm/i915: cleanup use of INSTR_CLIENT_MASK
    - drm/i915: return EACCES for check_cmd() failures
    - drm/i915: don't whitelist oacontrol in cmd parser
    - drm/i915: Use the precomputed value for whether to enable command parsing
    - drm/i915/cmdparser: Limit clflush to active cachelines
    - drm/i915/gtt: Add read only pages to gen8_pte_encode
    - drm/i915/gtt: Read-only pages for insert_entries on bdw+
    - drm/i915/gtt: Disable read-only support under GVT
    - drm/i915: Prevent writing into a read-only object via a GGTT mmap
    - drm/i915/cmdparser: Check reg_table_count before derefencing.
    - drm/i915/cmdparser: Do not check past the cmd length.
    - drm/i915: Silence smatch for cmdparser
    - drm/i915: Move engine->needs_cmd_parser to engine->flags
    - drm/i915: Rename gen7 cmdparser tables
    - drm/i915: Disable Secure Batches for gen6+
    - drm/i915: Remove Master tables from cmdparser
    - drm/i915: Add support for mandatory cmdparsing
    - drm/i915: Support ro ppgtt mapped cmdparser shadow buffers
    - drm/i915: Allow parsing of unsized batches
    - drm/i915: Add gen9 BCS cmdparsing
    - drm/i915/cmdparser: Use explicit goto for error paths
    - drm/i915/cmdparser: Add support for backward jumps
    - drm/i915/cmdparser: Ignore Length operands during command matching
    - drm/i915/cmdparser: Fix jump whitelist clearing
  * [x86] i915: Mitigate local denial-of-service on gen8/gen9 (CVE-2019-0154):
    - drm/i915: Lower RM timeout to avoid DSI hard hangs
    - drm/i915/gen8+: Add RC6 CTX corruption WA
  * drm/i915: Avoid ABI change for CVE-2019-0155

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 11 Nov 2019 12:18:59 +0000

linux-4.9 (4.9.189-3+deb9u1~deb8u1) jessie-security; urgency=medium

  * Backport to jessie; no further changes required

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 30 Sep 2019 15:49:24 +0100

linux (4.9.189-3+deb9u1) stretch-security; urgency=high

  * vhost: make sure log_num < in_num (CVE-2019-14835)
  * ALSA: usb-audio: Fix an OOB bug in parse_audio_mixer_unit (CVE-2019-15117)
  * ALSA: usb-audio: Fix a stack buffer overflow bug in check_input_term
    (CVE-2019-15118)
  * [x86] ptrace: fix up botched merge of spectrev1 fix (CVE-2019-15902)
  * KVM: coalesced_mmio: add bounds checking (CVE-2019-14821)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 20 Sep 2019 13:03:45 +0200

linux-4.9 (4.9.189-3~deb8u1) jessie-security; urgency=medium

  * Backport to jessie:
    - Change ABI number to 0.bpo.11

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 13 Aug 2019 19:47:06 +0100

linux (4.9.189-3) stretch; urgency=medium

  * tcp: fix tcp_rtx_queue_tail in case of empty retransmit queue

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 02 Sep 2019 09:18:39 +0200

linux (4.9.189-2) stretch; urgency=medium

  [ Salvatore Bonaccorso ]
  * xfs: fix missing ILOCK unlock when xfs_setattr_nonsize fails due to EDQUOT
    (CVE-2019-15538)

  [ Ben Hutchings ]
  * [s390x] Revert "perf test 6: Fix missing kvm module load for s390"
    (fixes FTBFS)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 30 Aug 2019 01:48:25 +0100

linux (4.9.189-1) stretch; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.9.186
    - [x86] Input: elantech - enable middle button support on 2 ThinkPads
    - mac80211: mesh: fix RCU warning
    - mac80211: free peer keys before vif down in mesh
    - netfilter: ipv6: nf_defrag: fix leakage of unqueued fragments
    - netfilter: ipv6: nf_defrag: accept duplicate fragments again
    - [armhf] Input: imx_keypad - make sure keyboard can always wake up system


=== debian/control ===
Source: linux-4.9
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>, Salvatore Bonaccorso <carnil@debian.org>
Standards-Version: 3.9.8
Build-Depends: debhelper, dh-exec, python3:any, quilt, cpio <!stage1>, xz-utils <!stage1>, kmod <!stage1>, bc <!stage1>, libssl-dev:native <!stage1>, libssl-dev [linux-any] <!stage1 !pkg.linux.notools cross>, openssl (>= 1.1.0-1~) <!stage1> | openssl:native <!stage1>, asciidoc <!stage1 !nodoc !pkg.linux.notools>, xmlto <!stage1 !nodoc !pkg.linux.notools>, bison <!stage1 !pkg.linux.notools !nopython>, flex <!stage1 !pkg.linux.notools !nopython>, gcc-multilib [amd64 ppc64 s390x sparc64] <!stage1 !pkg.linux.notools !nopython>, libaudit-dev <!stage1 !pkg.linux.notools !nopython>, libdw-dev <!stage1 !pkg.linux.notools !nopython>, libelf-dev <!stage1 !pkg.linux.notools !nopython>, libiberty-dev <!stage1 !pkg.linux.notools !nopython>, libnewt-dev <!stage1 !pkg.linux.notools !nopython>, libnuma-dev [amd64 arm64 hppa i386 mips mips64 mips64el mipsel mipsn32 mipsn32el mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el powerpc powerpcspe ppc64 ppc64el sparc x32] <!stage1 !pkg.linux.notools !nopython>, libperl-dev <!stage1 !pkg.linux.notools !nopython>, libunwind8-dev [amd64 armel armhf arm64 i386] <!stage1 !pkg.linux.notools !nopython>, python-dev <!stage1 !pkg.linux.notools !nopython>, autoconf <!stage1 !pkg.linux.notools>, automake <!stage1 !pkg.linux.notools>, libtool <!stage1 !pkg.linux.notools>, libglib2.0-dev <!stage1 !pkg.linux.notools>, libudev-dev <!stage1 !pkg.linux.notools>, libwrap0-dev <!stage1 !pkg.linux.notools>, rsync <!stage1 !pkg.linux.notools>, libpci-dev <!stage1 !pkg.linux.notools>, dh-python <!stage1>, dh-systemd <!stage1 !pkg.linux.notools>, gcc-4.9 [alpha arm64 armel armhf hppa mips mipsel mips64 mips64el powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64], gcc-4.9 (>= 4.9.2-10+deb7u1) [amd64 i386], gcc-4.9 (<< 4.9.2-11) [amd64 i386], binutils-hppa64 [hppa], gcc-4.9-hppa64 [hppa], gcc-4.8 [m68k]
Build-Depends-Indep: patchutils <!stage1>, python-sphinx <!stage1 !nodoc>, python-sphinx-rtd-theme <!stage1 !nodoc>, xmlto <!stage1 !nodoc>
Homepage: https://www.kernel.org/
Vcs-Browser: https://salsa.debian.org/kernel-team/linux
Vcs-Git: https://salsa.debian.org/kernel-team/linux.git

Package: linux-source-4.9
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 4.9 with Debian patches
 This package provides source code for the Linux kernel version 4.9. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-support-4.9.0-0.bpo.11
Architecture: all
Section: devel
Depends: ${python3:Depends}, ${misc:Depends}
Description: Support files for Linux 4.9
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-doc-4.9
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 4.9
 This package provides the various README files and HTML documentation for
 the Linux kernel version 4.9.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-4.9/Documentation/00-INDEX for the detailed
 description of the contents.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-manual-4.9
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 4.9
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Build-Profiles: <!stage1 !nodoc>
Multi-Arch: foreign

Package: linux-kbuild-4.9
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Kbuild infrastructure for Linux 4.9
 This package provides the kbuild infrastructure for the headers packages
 for Linux kernel version 4.9.
Build-Profiles: <!stage1 !pkg.linux.notools>
Multi-Arch: foreign

Package: linux-perf-4.9
Architecture: alpha amd64 arm64 armel armhf hppa i386 mips mips64 mips64el mips64r6 mips64r6el mipsel mipsn32 mipsn32el mipsn32r6 mipsn32r6el mipsr6 mipsr6el powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64
Section: devel
Provides: linux-tools-4.9
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, ${python:Depends}
Recommends: linux-base
Suggests: linux-doc-4.9
Replaces: linux-tools-4.9
Conflicts: linux-tools-4.9
Description: Performance analysis tools for Linux 4.9
 This package contains the 'perf' performance analysis tools for Linux
 kernel version 4.9.
 .
 The linux-base package contains a 'perf' command which will invoke the
 appropriate version for the running kernel.
Build-Profiles: <!stage1 !pkg.linux.notools !nopython>

Package: linux-headers-4.9.0-0.bpo.11-common
Architecture: all
Depends: ${misc:Depends}
Description: Common header files for Linux 4.9.0-0.bpo.11
 This package provides the common kernel header files for Linux kernel
 version 4.9.0-0.bpo.11, generally used for building out-of-tree kernel
 modules.  To obtain a complete set of headers you also need to install the
 linux-headers-4.9.0-0.bpo.11-(flavour) package, matching the flavour of
 the kernel you intend the build for.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-headers-4.9.0-0.bpo.11-common-rt
Architecture: all
Depends: ${misc:Depends}
Description: Common header files for Linux 4.9.0-0.bpo.11-rt
 This package provides the common kernel header files for Linux kernel
 version 4.9.0-0.bpo.11 with the PREEMPT_RT featureset, generally used for
 building out-of-tree kernel modules.  To obtain a complete set of headers
 you also need to install the linux-headers-4.9.0-0.bpo.11-(flavour)
 package, matching the flavour of the kernel you intend the build for.
Build-Profiles: <!stage1>
Multi-Arch: foreign

Package: linux-headers-4.9.0-0.bpo.11-all
Architecture: alpha amd64 arm64 armel armhf hppa i386 m68k mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390x sh4 sparc64
Depends: linux-headers-4.9.0-0.bpo.11-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 4.9 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 4.9, generally used for building out-of-tree
 kernel modules.
Build-Profiles: <!stage1>

Package: linux-headers-4.9.0-0.bpo.11-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-4.9.0-0.bpo.11-alpha-generic (= ${binary:Version}), linux-headers-4.9.0-0.bpo.11-alpha-smp (= ${binary:Version})
Description: All header files for Linux 4.9 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 4.9, generally used for building out-of-tree
 kernel modules.
Build-Profiles: <!stage1>

Package: linux-image-4.9.0-0.bpo.11-alpha-generic
Architecture: alpha
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-4.9, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: initramfs-tools (<< 0.120+deb8u2)
Description: Linux 4.9 for Alpha
 The Linux kernel 4.9 and modules for use on DEC Alpha systems with
 extended kernel start address (Wildfire, Titan, Marvel).
Build-Profiles: <!stage1>

Package: linux-headers-4.9.0-0.bpo.11-alpha-generic
Architecture: alpha
Depends: linux-headers-4.9.0-0.bpo.11-common (= ${binary:Version}), linux-kbuild-4.9, ${misc:Depends}, gcc-4.9
Description: Header files for Linux 4.9.0-0.bpo.11-alpha-generic
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.9.0-0.bpo.11-alpha-generic, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.9.0-0.bpo.11-alpha-generic, and can be used for
 building modules that load into the kernel provided by the
 linux-image-4.9.0-0.bpo.11-alpha-generic package.
Build-Profiles: <!stage1>

Package: linux-image-4.9.0-0.bpo.11-alpha-smp
Architecture: alpha
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [alpha] | linux-initramfs-tool [alpha]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-4.9, debian-kernel-handbook, aboot [alpha], fdutils [alpha]
Breaks: initramfs-tools (<< 0.120+deb8u2)
Description: Linux 4.9 for Alpha SMP
 The Linux kernel 4.9 and modules for use on DEC Alpha SMP systems with
 extended kernel start address (Wildfire, Titan, Marvel).
Build-Profiles: <!stage1>

Package: linux-headers-4.9.0-0.bpo.11-alpha-smp
Architecture: alpha
Depends: linux-headers-4.9.0-0.bpo.11-common (= ${binary:Version}), linux-kbuild-4.9, ${misc:Depends}, gcc-4.9
Description: Header files for Linux 4.9.0-0.bpo.11-alpha-smp
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.9.0-0.bpo.11-alpha-smp, generally used for building
 out-of-tree kernel modules.  These files are going to be installed into
 /usr/src/linux-headers-4.9.0-0.bpo.11-alpha-smp, and can be used for
 building modules that load into the kernel provided by the
 linux-image-4.9.0-0.bpo.11-alpha-smp package.
Build-Profiles: <!stage1>

Package: linux-headers-4.9.0-0.bpo.11-all-amd64
Architecture: amd64
Depends: ${misc:Depends}, linux-headers-4.9.0-0.bpo.11-amd64 (= ${binary:Version}), linux-headers-4.9.0-0.bpo.11-rt-amd64 (= ${binary:Version})
Description: All header files for Linux 4.9 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 4.9, generally used for building out-of-tree
 kernel modules.
Build-Profiles: <!stage1>

Package: linux-image-4.9.0-0.bpo.11-amd64
Architecture: amd64
Depends: kmod, linux-base (>= 4.3~), ${misc:Depends}, initramfs-tools (>= 0.120+deb8u2) [amd64] | linux-initramfs-tool [amd64]
Recommends: firmware-linux-free, ${kernel:Recommends}
Suggests: linux-doc-4.9, debian-kernel-handbook, grub-pc [amd64] | grub-efi-amd64 [amd64] | extlinux [amd64]
Breaks: initramfs-tools (<< 0.120+deb8u2)
Description: Linux 4.9 for 64-bit PCs
 The Linux kernel 4.9 and modules for use on PCs with AMD64, Intel 64 or
 VIA Nano processors.
 .
 This kernel also runs on a Xen hypervisor.  It supports both privileged
 (dom0) and unprivileged (domU) operation.
Build-Profiles: <!stage1>

Package: linux-headers-4.9.0-0.bpo.11-amd64
Architecture: amd64
Depends: linux-headers-4.9.0-0.bpo.11-common (= ${binary:Version}), linux-kbuild-4.9, ${misc:Depends}, linux-compiler-gcc-4.9-x86 (>= 3.16.51-3+deb8u2~), linux-compiler-gcc-4.9-x86 (<< 3.17) | linux-compiler-gcc-4.9-x86 (>= 4.9.82-1+deb9u1~)
Description: Header files for Linux 4.9.0-0.bpo.11-amd64
 This package provides the architecture-specific kernel header files for
 Linux kernel 4.9.0-0.bpo.11-amd64, generally used for building out-of-tree

=== debian/rules ===
#!/usr/bin/make -f

SHELL    := sh -e
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
SOURCE := $(shell dpkg-parsechangelog -SSource)
VERSION := $(shell dpkg-parsechangelog -SVersion)
VERSION_UPSTREAM := $(shell echo "$(VERSION)" | sed -e 's,-[^-]*$$,,')
VERSION_BINNMU := $(shell echo "$(VERSION)" | sed -rne 's,.*\+b([0-9]+)$$,\1,p')

include debian/rules.defs

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  DEBIAN_KERNEL_JOBS := $(subst parallel=,,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
ifdef DEBIAN_KERNEL_JOBS
  MAKEFLAGS += -j$(DEBIAN_KERNEL_JOBS)
endif
BUILD_STAGE1 := $(filter stage1,$(DEB_BUILD_PROFILES))
ifneq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
# This only disables building the linux-doc and linux-manual packages.
# The rules for tools packages check separately for the 'nodoc' profile.
  MAKEFLAGS += DO_DOCS=False
endif
ifneq (,$(filter pkg.linux.notools,$(DEB_BUILD_PROFILES)))
  MAKEFLAGS += DO_TOOLS_VERSIONED=False DO_TOOLS_UNVERSIONED=False
endif

.NOTPARALLEL:

source: debian/control
	dh_testdir
	$(MAKE) -f debian/rules.gen source

setup: debian/control
	dh_testdir
	$(MAKE) -f debian/rules.gen setup_$(DEB_HOST_ARCH)

build: build-arch build-indep

build-arch: debian/control
	dh_testdir
ifndef BUILD_STAGE1
	$(MAKE) -f debian/rules.gen build-arch_$(DEB_HOST_ARCH)
endif

build-indep: debian/control
	dh_testdir
ifndef BUILD_STAGE1
	$(MAKE) -f debian/rules.gen build-indep
endif

binary:	binary-indep binary-arch

binary-arch:
	dh_testdir
ifdef BUILD_STAGE1
	$(MAKE) -f debian/rules.gen binary-libc-dev_$(DEB_HOST_ARCH)
else
	$(MAKE) -f debian/rules.gen binary-arch_$(DEB_HOST_ARCH)
endif

binary-indep:
	dh_testdir
ifndef BUILD_STAGE1
	$(MAKE) -f debian/rules.gen binary-indep
endif

DIR_ORIG = ../orig/$(SOURCE)-$(VERSION_UPSTREAM)
TAR_ORIG_NAME = $(SOURCE)_$(VERSION_UPSTREAM).orig.tar.xz
TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))

orig: $(DIR_ORIG)
	rsync --delete --exclude /debian --exclude .svk --exclude .svn --exclude .git --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .
	QUILT_PATCHES='$(CURDIR)/debian/patches' QUILT_PC=.pc quilt push --quiltrc - -a -q --fuzz=0

$(DIR_ORIG):
ifeq ($(TAR_ORIG),)
	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
else
	mkdir -p ../orig
	tar -C ../orig -xaf $(TAR_ORIG)
endif

maintainerclean:
	rm -f debian/config.defines.dump debian/control debian/control.md5sum debian/linux-headers-* debian/linux-image-* debian/rules.gen
	rm -rf $(filter-out debian .svk .svn .git, $(wildcard * .[^.]*))

clean: debian/control
	dh_testdir
	rm -rf $(BUILD_DIR) $(STAMPS_DIR) debian/lib/python/debian_linux/*.pyc debian/lib/python/debian_linux/__pycache__ $$(find debian -maxdepth 1 -type d -name 'linux-*') debian/*-modules-*-di* debian/kernel-image-*-di* debian/xen-linux-system-* debian/*-tmp
	dh_clean

CONTROL_FILES = debian/changelog $(wildcard debian/templates/*.in)
CONTROL_FILES += debian/config/defines $(wildcard debian/config/*/defines) $(wildcard debian/config/*/*/defines)
CONTROL_FILES += $(wildcard debian/installer/*/kernel-versions) $(wildcard debian/installer/*/package-list) debian/installer/package-list
debian/control debian/rules.gen: debian/bin/gencontrol.py $(CONTROL_FILES)
ifeq ($(wildcard debian/control.md5sum),)
	$(MAKE) -f debian/rules debian/control-real
else ifeq ($(VERSION_BINNMU),)
	md5sum --check debian/control.md5sum --status || \
		$(MAKE) -f debian/rules debian/control-real
else
	grep -v debian/changelog debian/control.md5sum | md5sum --check - --status || \
		$(MAKE) -f debian/rules debian/control-real
endif

debian/control-real: debian/bin/gencontrol.py $(CONTROL_FILES)
# Hash randomisation makes the pickled config unreproducible
	PYTHONHASHSEED=0 $<
	md5sum $^ > debian/control.md5sum
	@echo
	@echo This target is made to fail intentionally, to make sure
	@echo that it is NEVER run during the automated build. Please
	@echo ignore the following error, the debian/control file has
	@echo been generated SUCCESSFULLY.
	@echo
	exit 1

.PHONY: clean build setup binary-indep binary-arch binary

=== debian/tests/control ===
Tests: selftests
Restrictions: breaks-testbed, needs-root, isolation-machine
Depends: kexec-tools, python3, gcc, make, libpopt-dev, gcc-multilib [amd64], bc, fuse, libfuse-dev, pkg-config, linux-image-4.9.0-0.bpo.11-alpha-generic [alpha], linux-image-4.9.0-0.bpo.11-alpha-smp [alpha], linux-image-4.9.0-0.bpo.11-amd64 [amd64], linux-image-4.9.0-0.bpo.11-rt-amd64 [amd64], linux-image-4.9.0-0.bpo.11-arm64 [arm64], linux-image-4.9.0-0.bpo.11-marvell [armel], linux-image-4.9.0-0.bpo.11-armmp [armhf], linux-image-4.9.0-0.bpo.11-armmp-lpae [armhf], linux-image-4.9.0-0.bpo.11-parisc [hppa], linux-image-4.9.0-0.bpo.11-parisc64-smp [hppa], linux-image-4.9.0-0.bpo.11-686 [i386], linux-image-4.9.0-0.bpo.11-686-pae [i386], linux-image-4.9.0-0.bpo.11-rt-686-pae [i386], linux-image-4.9.0-0.bpo.11-m68k [m68k], linux-image-4.9.0-0.bpo.11-4kc-malta [mips mipsel], linux-image-4.9.0-0.bpo.11-5kc-malta [mips mipsel mips64 mips64el], linux-image-4.9.0-0.bpo.11-octeon [mips mipsel mips64 mips64el], linux-image-4.9.0-0.bpo.11-loongson-3 [mipsel mips64el], linux-image-4.9.0-0.bpo.11-powerpc [powerpc], linux-image-4.9.0-0.bpo.11-powerpc-smp [powerpc], linux-image-4.9.0-0.bpo.11-powerpc64 [powerpc ppc64], linux-image-4.9.0-0.bpo.11-powerpcspe [powerpcspe], linux-image-4.9.0-0.bpo.11-powerpc64le [ppc64el], linux-image-4.9.0-0.bpo.11-s390x [s390x], linux-image-4.9.0-0.bpo.11-sh7751r [sh4], linux-image-4.9.0-0.bpo.11-sh7785lcr [sh4], linux-image-4.9.0-0.bpo.11-sparc64 [sparc64], linux-image-4.9.0-0.bpo.11-sparc64-smp [sparc64]
Classes: smp

=== debian/watch ===
# Find first non-rc tarball linked from kernel.org.
# We need to DFSG-clean it, so use our own script instead of uupdate.
version=3
https://www.kernel.org/ .*/linux-([0-9.]+).tar.xz debian debian/bin/uscan-hook
